# Generated from jekyll-latex-pdf-0.5.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jekyll-latex-pdf

Name: rubygem-%{gem_name}
Version: 0.5.4
Release: 1%{?dist}
Summary: Crates pdfs using just latex for jekyll posts.  (needs kramdown)
License: MIT
URL: https://gitlab.com/grauschnabel/jekyll-latex-pdf
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(method_source) >= 0.8.2
# BuildRequires: rubygem(method_source) < 0.9
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-doc) >= 0.6.0
# BuildRequires: rubygem(pry-doc) < 0.7
# BuildRequires: rubygem(rubocop) >= 0.68
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(jekyll-scholar) >= 5.14.1
# BuildRequires: rubygem(jekyll-scholar) < 5.15
BuildArch: noarch

%description
Create PDFs for download from your posts, using latex flexible and
comfortable.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/jekyll-latex-pdf.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 0.5.4-1
- Initial package
